%define src_ver 0.3
%define languageenglazy Croatian
%define languagecode hr
%define lc_ctype hr_HR

Summary:       %{languageenglazy} files for aspell
Name:          aspell-%{languagecode}
Version:       0.3
Release:       2mdk
Group:         System/Internationalization
# dated 2002-03-01, 893 KB
Source:	       http://cvs.linux.hr/spell/aspell/hr-aspell.tar.bz2
URL:		   http://cvs.linux.hr/spell/
#Source:	       http://ftp.gnu.org/gnu/aspell/dict/%{languagecode}/aspell-%{languagecode}-%{src_ver}.tar.bz2
#URL:		   http://aspell.sourceforge.net/
License:	   GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

BuildRequires: aspell >= 0.50
BuildRequires: make
Requires:      aspell >= 0.50

# Mandrake Stuff
Requires:      locales-%{languagecode}
Provides:      aspell-dictionary
Provides:	   aspell-%{lc_ctype}

ExcludeArch:   ia64
Autoreqprov:   no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
#%setup -q -n %{name}-%{src_ver}
%setup -c  

%build
# don't use configure macro
#./configure
#
#%make

cp %{_datadir}/aspell/iso8859-2.dat .
echo -e "name\thr\ncharset\tiso8859-2\nspecial ' -**   - -**" > hr.dat
# aspell doesn't like words ending in a dot or with a number
grep -v '[\.1234567890]$' croatian-wordlist.txt > wordlist.txt
LC_CTYPE=ISO-8859-2 aspell --lang=hr --data-dir=. create master ./hr.rws < wordlist.txt

echo -e "add hr.rws" > hr.multi
echo -e "add hr.multi" > croatian.alias

%install
rm -fr $RPM_BUILD_ROOT

#%makeinstall_std

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/aspell
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/aspell

install -m 0644 hr.dat $RPM_BUILD_ROOT/%{_datadir}/aspell
install -m 0644 hr.rws $RPM_BUILD_ROOT/%{_libdir}/aspell
install -m 0644 hr.multi $RPM_BUILD_ROOT/%{_libdir}/aspell
install -m 0644 croatian.alias $RPM_BUILD_ROOT/%{_libdir}/aspell

#cp doc/README README.%{languagecode}
#chmod 644 README Copyright README.%{languagecode}

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
#%doc README README.%{languagecode} Copyright
%dir %{_datadir}/aspell
%{_datadir}/aspell/*
%dir %{_libdir}/aspell
%{_libdir}/aspell/*

%changelog
* Tue Aug 05 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.3-2mdk
- added directories owning

* Fri Jul 18 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.3-1mdk
- first package for mandrake

